Bug 1567524 - [CSD] "Wobbly" window when dragging with digitiser pen under GNOME Wayland
Summary: [CSD] "Wobbly" window when dragging with digitiser pen under GNOME Wayland
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-14 17:48 UTC by fednuc
Modified: 2019-05-28 23:06 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:06:06 UTC
Type: Bug


Attachments (Terms of Use)

Description fednuc 2018-04-14 17:48:11 UTC
Dragging the window via the "header bar" with a digitiser pen under Wayland results in the window "wobbling" around under the pen tip as it's being dragged - sometimes by small amounts, sometimes by distances about the height of the "header bar", in all directions.

This doesn't happen with mouse dragging, nor under X (touch dragging doesn't work at all - separate bug filed).

It also doesn't happen with any other Wayland or XWayland windows.

Comment 1 Martin Stransky 2018-04-16 10:41:06 UTC
Can you please check Firefox 60 Beta [1]? That's target release for this feature, Fedora has only a tech preview in Firefox 59.

[1] https://www.mozilla.org/en-US/firefox/channel/desktop/

Comment 2 fednuc 2018-05-13 11:16:47 UTC
Still wobbly on FF60 final.

Comment 3 Ben Cotton 2019-05-02 20:31:02 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2019-05-28 23:06:06 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.